summaryrefslogtreecommitdiffstats
path: root/games/solarus/solarus.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'games/solarus/solarus.SlackBuild')
-rw-r--r--games/solarus/solarus.SlackBuild20
1 files changed, 6 insertions, 14 deletions
diff --git a/games/solarus/solarus.SlackBuild b/games/solarus/solarus.SlackBuild
index 77f6f5ac07..dac61ebeb8 100644
--- a/games/solarus/solarus.SlackBuild
+++ b/games/solarus/solarus.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for solarus
-# Copyright 2015-2018 Hunter Sezen California, USA
+# Copyright 2015-2019 Hunter Sezen California, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=solarus
-VERSION=${VERSION:-1.5.3}
+VERSION=${VERSION:-1.6.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -75,14 +75,6 @@ else
GUI=OFF
fi
-# Add SOLARUS_MANUAL_INSTALL_DESTINATION
-# Remove SOLARUS_BUNDLE in cmake/AddInstallTargets.cmake
-# Install solarus-run.6 when the gui is not compiled
-# https://gitlab.com/solarus-games/solarus/commit/a7822b3a523a7985defbe1c9daca1401c98dc7a7
-# https://gitlab.com/solarus-games/solarus/commit/1d5cb589cc532e477d784907e776d5ce3d6fed3a
-# https://gitlab.com/solarus-games/solarus/commit/2b3a54137fbb124f87eec40ad406291acb63cf3b
-zcat $CWD/cmake.patch.gz | patch -p1
-
mkdir -p build
cd build
cmake \
@@ -99,15 +91,15 @@ cd build
make install DESTDIR=$PKG
cd ..
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" |
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-DOCS='changelog.txt compilation.txt README.md license.txt license_gpl.txt'
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a changelog.txt readme.md license.txt license_gpl.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install